### Enumeration

# GModule ModuleFlags

#### Declaration

    flags GModule.ModuleFlags

#### Description [src]

Flags passed to g_module_open(). Note that these flags are not supported on all platforms.

#### Members

`G_MODULE_BIND_LAZY`

  Specifies that symbols are only resolved when needed. The default action is to bind all symbols when the module is loaded.

  - Value: `1`
  - Available since: 2.0
`G_MODULE_BIND_LOCAL`

  Specifies that symbols in the module should not be added to the global name space. The default action on most platforms is to place symbols in the module in the global name space, which may cause conflicts with existing symbols.

  - Value: `2`
  - Available since: 2.0
`G_MODULE_BIND_MASK`

  Mask for all flags.

  - Value: `3`
  - Available since: 2.0